Show / Hide Table of Contents

# Class OpenIddictExtensions

Exposes extensions allowing to register the OpenIddict services.

##### Inheritance

System.Object
OpenIddictExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictExtensions

### Methods

#### AddOpenIddict(IServiceCollection)

Provides a common entry point for registering the OpenIddict services.

##### Declaration

    public static OpenIddictBuilder AddOpenIddict(this IServiceCollection services)

##### Parameters

Type | Name | Description
--- | --- | ---
IServiceCollection | services | The services collection.

##### Returns

Type | Description
--- | ---
OpenIddictBuilder | The OpenIddictBuilder.

##### Remarks

This extension can be safely called multiple times.

#### AddOpenIddict(IServiceCollection, Action<OpenIddictBuilder>)

Provides a common entry point for registering the OpenIddict services.

##### Declaration

    public static IServiceCollection AddOpenIddict(this IServiceCollection services, Action<OpenIddictBuilder> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
IServiceCollection | services | The services collection.
System.Action<OpenIddictBuilder> | configuration | The configuration delegate used to register new services.

##### Returns

Type | Description
--- | ---
IServiceCollection | The .

##### Remarks

This extension can be safely called multiple times.